## apt 1.0.1ubuntu2.23

=== debian/changelog ===
apt (1.0.1ubuntu2.23) trusty; urgency=medium

  * Fix regression in pinning of local-only package versions (LP: #1821308)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 25 Mar 2019 11:22:42 +0100

apt (1.0.1ubuntu2.22) trusty; urgency=medium

  * apt.dirs: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.2.31

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 12 Mar 2019 15:15:54 +0100

apt (1.0.1ubuntu2.21) trusty; urgency=medium

  [ Julian Andres Klode ]
  * travis CI: Use docker container to get useful results
  * fix and non-silent fail dpkg-overwrite error test (LP: #1817088)
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

  [ David Kalnischkies ]
  * ftparchive/writer.cc: use a std::vector instead of hardcoded array
    (LP: #1817048)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Mar 2019 12:43:37 +0100

apt (1.0.1ubuntu2.20) trusty; urgency=medium

  [ Julian Andres Klode ]
  * Fix crashes in apt search, cache file (LP: #1815187)
  * Clean up some build artifacts and regenerate the po files

  [ Heitor R. Alves de Siqueira ]
  * backport "do not segfault in cache generation on mmap failure"
    (Closes: 803417) (LP: #1815129)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 08 Feb 2019 13:12:26 +0100
