## apt 1.0.1ubuntu2.23+7.0trisquel3

=== debian/changelog ===
apt (1.0.1ubuntu2.23+7.0trisquel3) belenos; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 02 Apr 2019 10:11:31 +0000
