## apt 1.0.1ubuntu2.24

=== debian/changelog ===
apt (1.0.1ubuntu2.24) trusty; urgency=medium

  [ Michael Vogt ]
  * Ensure we have a Policy in CacheFile.BuildDepCache() (LP: #1847496)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 10 Oct 2019 11:24:58 +0200
