=== debian/rules ===
--- 
+++ 
@@ -188,7 +188,7 @@
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
-	cp share/trisquel-archive.gpg debian/$@/usr/share/$@
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
 	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal
