## apt 1.0.9.6

=== debian/changelog ===
apt (1.0.9.6) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix missing URIStart() for https downloads
  * Add regression test for the previous commit

  [ David Kalnischkies ]
  * 128 KiB DSC files ought to be enough for everyone (Closes: 774893)
  * award points for positive dependencies again (Closes: 774924)

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 16 Jan 2015 08:37:25 +0100
