## apt 1.0.9.7

=== debian/changelog ===
apt (1.0.9.7) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Fix crash in the apt-transport-https when Owner is NULL (Closes: #778375)

 -- Michael Vogt <mvo@debian.org>  Mon, 23 Feb 2015 12:54:03 +0100
