## apt 1.0.9.7ubuntu4

=== debian/changelog ===
apt (1.0.9.7ubuntu4) vivid; urgency=medium

  [ Michael Vogt ]
  * Fix crash in pkgDPkgPM::WriteApportReport(() (LP: #1436626)

 -- Michael Vogt <mvo@ubuntu.com>  Tue, 07 Apr 2015 12:28:32 +0200

apt (1.0.9.7ubuntu3) vivid; urgency=medium

  * test/integration/test-apt-download-progress:
    - give apt more time to gather download data in test

 -- Michael Vogt <mvo@ubuntu.com>  Mon, 23 Mar 2015 08:56:53 +0100

apt (1.0.9.7ubuntu2) vivid; urgency=medium

  * test/integration/test-apt-download-progress:
    - fix test failure on fast hardware

 -- Michael Vogt <mvo@ubuntu.com>  Fri, 20 Mar 2015 17:42:01 +0100

apt (1.0.9.7ubuntu1) vivid; urgency=low

  * Merged fixes from debian/sid (LP: #1431877)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Mar 2015 11:09:30 +0100

apt (1.0.9.3ubuntu1) vivid; urgency=low

  * Merged from debian/sid, remaining changes:
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 08:57:11 +0100

apt (1.0.9.2ubuntu2) utopic; urgency=medium

  [ David Kalnischkies ]
  * don't cleanup cdrom files in apt-get update (Closes: 765458)
    LP: #1381986

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Oct 2014 11:26:03 +0200

apt (1.0.9.2ubuntu1) utopic; urgency=low

  * merge fixes from debian/sid, most importantly CVE-2014-7206
    (LP: #1378680)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Oct 2014 10:45:34 +0200

apt (1.0.9.1ubuntu1) utopic; urgency=medium

  * merge fixes from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Sep 2014 22:17:38 +0200

apt (1.0.8ubuntu3) utopic; urgency=low

  * fix autopkgtest

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Sep 2014 21:12:37 +0200

apt (1.0.8ubuntu2) utopic; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2014 08:25:54 +0200

apt (1.0.8ubuntu1) utopic; urgency=low

  * merged fixes from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Sep 2014 09:00:29 +0200

apt (1.0.4ubuntu8) utopic; urgency=medium

  * apt-pkg/deb/dpkgpm.cc:
    - update string matching for dpkg I/O errors. (LP: #1363257)
    - properly parse the dpkg status line so that package name is properly set
      and an apport report is created. Thanks to Anders Kaseorg for the patch.
      (LP: #1353171)

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Aug 2014 15:15:17 -0700

apt (1.0.4ubuntu7) utopic; urgency=medium

  * debian/tests/run-tests: tests don't get along with proxy, so unset proxy
    variables. See Debian #759655

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Aug 2014 09:13:37 +0200

apt (1.0.4ubuntu6) utopic; urgency=low

  * apt-pkg/packagemanager.cc:
    - fix incorrect configure ordering in the SmartConfigure step
      by skiping packages that do not need immediate action
      (LP: #1347721)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Jul 2014 11:46:18 +0200

apt (1.0.4ubuntu5) utopic; urgency=medium

  [ Michael Vogt ]
  * Try not to parse invalid translation files (LP: #756317)

  [ Iain Lane ]
  * Remove stray *.debhelper files.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 04 Jul 2014 10:15:28 +0100

apt (1.0.4ubuntu4) utopic; urgency=medium

  * test/integration/test-essential-force-loopbreak: 
    - fix test on non-amd64 systems

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 12 Jun 2014 10:56:09 +0200

apt (1.0.4ubuntu3) utopic; urgency=medium

  * ensure that test-apt-ftparchive-cachedb-lp1274466, 
    test-external-dependency-solver-protocol run in the ADT
    environment

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 12 Jun 2014 08:47:29 +0200

apt (1.0.4ubuntu2) utopic; urgency=medium

  * debian/test/control:
    - add missing db-util to test dependencies
  * debian/tests/run-tests:
    - fix path for apt-internal-solver

 -- Michael Vogt <mvo@ubuntu.com>  Wed, 11 Jun 2014 14:51:31 +0200

apt (1.0.4ubuntu1) utopic; urgency=low

  * Merged from debian/sid, remaining changes:
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jun 2014 19:00:00 +0200

apt (1.0.2ubuntu2) utopic; urgency=medium

  * apt-pkg/contrib/fileutl.cc: When checking gzip filesizes, cast
    size to uint32_t before setting it, so we don't end up playing
    with the wrong half of a uint64_t on big-endian architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 25 Apr 2014 19:34:04 -0600

apt (1.0.2ubuntu1) utopic; urgency=low

  * merged with debian/sid, remaining changes:
    - ignore .distUpgrade files
    - patch for apt cross-building, see http://bugs.debian.org/666772
    - ubuntu changelog download handling
    - add linux-tools to "VersionedKernelPackages"
    - ubuntu changelog server
    - apt-key net-update/apt-xapian-index
    - git-buildpackage config adjustments
    - ubuntu keyring
    - enable apport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Apr 2014 14:08:45 +0200
