## apt 1.0.9.8.1

=== debian/changelog ===
apt (1.0.9.8.1) stable; urgency=medium

  [ David Kalnischkies ]
  * parse specific-arch dependencies correctly on single-arch systems
    (Closes: 777760)
  * remove "first package seen is native package" assumption.
    Thanks to Axel Beckert for testing (Closes: 782777)

  [ Michael Vogt ]
  * Fix endless loop in apt-get update that can cause disk fillup
    (LP: #1445239)

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Jun 2015 09:40:19 +0200
